sap.ui.define([
	"sap/ui/core/mvc/Controller",
	"sap/ui/model/json/JSONModel",
	"sap/ui/model/resource/ResourceModel"
], function (Controller, JSONModel, ResourceModel) {
	"use strict";

	return Controller.extend("whitepaper-id.com.WhintMessageStoreViewer.controller.Main", {

		onInit: function () {

		},
		
		// Implement the handle search function
		handleSearch: function (evt) {
			// create model filter
			var filters = [];
			var query = evt.getParameter("query");
			if (query && query.length > 0) {
				var filter = new sap.ui.model.Filter("MessageGuid", sap.ui.model.FilterOperator.Contains, query);
				filters.push(filter);
			}

			// update list binding
			var list = this.getView().byId("list");
			var binding = list.getBinding("items");
			binding.filter(filters);

		},

		GoToDetail: function (oEvent) {
			var oRouter = sap.ui.core.UIComponent.getRouterFor(this);
			var selectedMessageId = oEvent.getSource().getBindingContext().getProperty("MessageGuid");
			oRouter.navTo("Entries", {
				messageId: selectedMessageId
			});
		}

	});
});